import { post, upload } from "@/request/axios.js";

export const getVideoCoursewareList = (params) =>
  post("/platform/videocourseware/list", params); // 视频课件列表
export const getPreviewingVideo = (params) =>
  post("/platform/videocourseware/getPlayInfo", params); // 预览视频
export const getVideoCoursewareView = (params) =>
  post("/platform/videocourseware/goEdit", params); // 视频课件查看
export const getVideoCoursewareExercisesList = (params) =>
  post("/platform/question/list", params); // 视频课件习题列表
export const getCourseManagementList = (params) =>
  post("/platform/curriculum/list", params); // 课程管理列表
export const setCourseManagementDelete = (params) =>
  post("/curriculum/delById", params); // 课程管理删除
export const getCourseManagementView = (params) =>
  post("/curriculum/goEdit", params); // 课程管理查看
export const getSelectCourseManagementList = (params) =>
  post("/videocourseware/list", params); // 选择视频课件列表
export const setCourseManagementAdd = (params) =>
  upload("/curriculum/add", params); // 课程管理添加
export const setCourseManagementEdit = (params) =>
  upload("/curriculum/edit", params); // 课程管理修改
export const getExamPaperManagementList = (params) =>
  post("/stageexampaperinput/list", params); // 试卷管理列表
export const getExamPaperManagementView = (params) =>
  post("/stageexampaperinput/goEdit", params); // 试卷管理查看
export const getExamPaperManagementTestQuestions = (params) =>
  post("/paperQuestion/listForInherit", params); // 试卷管理试题
